         subroutine  calc_FF(FF,   fL,      fR,
     &                       eta,  lambda,  omega)

c------------------------------------------------------------
c Calculates the Roe numerical flux for the
c Burger's equation from the characteristic structure and the
c physical fluxes. Note that there is just one flux since 
c Burger's is a scalar equation. 
c------------------------------------------------------------

         implicit      none

         character*8   cdnm
         parameter   ( cdnm = 'calc_FF' ) 

         logical       ltrace
         parameter   ( ltrace = .false. )

         real*8        FF
         real*8        fL,    fR

         real*8        lambda
         real*8        eta
         real*8        omega

c============================================================
c============================================================

         if ( ltrace ) then
            write(0,*) cdnm,':      fR =', fR
            write(0,*) cdnm,':      fL =', fL
            write(0,*) cdnm,':  lambda =', lambda
            write(0,*) cdnm,':   omega =', omega
            write(0,*) cdnm,':     eta =', eta
         endif
         FF = 0.5d0 * (fR + fL - abs(lambda)  * omega  * eta ) 
         if ( ltrace ) then
            write(0,*) cdnm,':  FF=',FF
         endif
         return
         end

